User GuidePluginsAPI Reference
GET
/v1/sessions/{session_id}/user-kv/{plugin_id}/{key}

Available only when the server is built with the postgres feature.

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

session_id*string

Current session identifier.

plugin_id*string

Plugin identifier.

key*string

KV entry key.

Response Body

Stored JSON value.

response?unknownapplication/json
Example Request
curl -X GET '/api/v1/sessions/string/user-kv/string/string'
Example Response
{  "defaultShell": "/bin/zsh",  "showHints": true}